summaryrefslogtreecommitdiffstats
path: root/modules.d/dnbd3-rootfs/hooks/s3-dnbd3root.sh
diff options
context:
space:
mode:
Diffstat (limited to 'modules.d/dnbd3-rootfs/hooks/s3-dnbd3root.sh')
-rwxr-xr-xmodules.d/dnbd3-rootfs/hooks/s3-dnbd3root.sh18
1 files changed, 9 insertions, 9 deletions
diff --git a/modules.d/dnbd3-rootfs/hooks/s3-dnbd3root.sh b/modules.d/dnbd3-rootfs/hooks/s3-dnbd3root.sh
index 01a8c32c..47217c29 100755
--- a/modules.d/dnbd3-rootfs/hooks/s3-dnbd3root.sh
+++ b/modules.d/dnbd3-rootfs/hooks/s3-dnbd3root.sh
@@ -17,17 +17,17 @@ container_unpack_xmount() {
mkdir -p "$out_path"
# check tools first
if ! hash xmount systemd-preserve-process-marker; then
- warn "Missing xmount deps, will try raw..." 1>&2
+ echo "Missing xmount deps, will try raw..." 1>&2
elif ! systemd-preserve-process-marker xmount \
--in qemu "$in_device" \
--out raw "$out_path" &>/dev/null; then
- warn "xmount call failed, assuming raw image." 1>&2
+ echo "xmount call failed, assuming raw image." 1>&2
else
in_device="${out_path}/${_dnbd3_dev##*/}.dd"
fi
local out_device="$(losetup -f)"
if ! losetup "$out_device" "$in_device" --partscan; then
- warn "Failed to attach '$in_device' to '$out_device'."
+ echo "Failed to attach '$in_device' to '$out_device'."
return 1
fi
udevadm settle
@@ -39,11 +39,11 @@ container_unpack_xloop() {
local out_device="$(xlosetup -f)"
for kmod in xloop xloop_file_fmt_qcow xloop_file_fmt_raw; do
if ! modprobe "${kmod}"; then
- warn "Failed to load kernel module: $kmod"
+ echo "Failed to load kernel module: $kmod"
fi
done
if ! xlosetup -r -t QCOW "$out_device" "$in_device" --partscan; then
- warn "Failed to attach '$in_device' to '$out_device'."
+ echo "Failed to attach '$in_device' to '$out_device'."
return
fi
udevadm settle
@@ -74,7 +74,7 @@ if [ -n "$SLX_DNBD3_RID" ]; then
fi
if ! modprobe dnbd3; then
- warn "Failed to load kernel module: dnbd3"
+ echo "Failed to load kernel module: dnbd3"
fi
for try in {1..5} ""; do
@@ -85,7 +85,7 @@ for try in {1..5} ""; do
"Check if the image exists on one of the servers" \
"and if any is reachable from this client."
fi
- info "Trying hosts '$SLX_DNBD3_SERVERS'."
+ echo "Trying hosts '$SLX_DNBD3_SERVERS'."
if dnbd3-client \
--host "$SLX_DNBD3_SERVERS" \
--image "$SLX_DNBD3_IMAGE" \
@@ -138,12 +138,12 @@ else
eval "$SLX_SYSTEM_PARTITION_PREPARATION_SCRIPT"
fi
if [[ -z "$read_only_partition" ]]; then
- warn "Failed to find unique device with identifier" \
+ echo "Failed to find unique device with identifier" \
"\"${SLX_SYSTEM_PARTITION_IDENTIFIER}\"; matched devices:" \
"\"${read_only_partition}\""
exit 1
fi
-info "Using read-only partition: $read_only_partition"
+echo "Using read-only partition: $read_only_partition"
# endregion
# region add rw layer to dnbd3 image